using Microsoft.AspNetCore.Mvc;

namespace MyApp.Namespace
{
    [Route("[controller]")]
    [ApiController]
    public class ExperienceController : ControllerBase
    {
        private readonly IExperienceService experienceService;

        public ExperienceController(IExperienceService experienceService)
        {
            this.experienceService = experienceService;
        }

        [HttpGet(Name = "ExperiencesGet")]
        public async Task<IActionResult> Get()
        {
            var result = await experienceService.GetExperiences();
            if (result == null)
            {
                return NotFound();
            }
            return Ok(result);
        }

        [HttpGet("{name}", Name = "ExperienceGet")]
        public async Task<IActionResult> Get(string name)
        {
            var result = await experienceService.GetExperience(name);
            if (result == null)
            {
                return NotFound();
            }
            return Ok(result);
        }

        [HttpGet("statistics")]
        public async Task<IActionResult> GetStatistics()
        {
            var result = await experienceService.GetStatistics();
            if (result == null)
            {
                return NotFound();
            }
            return Ok(result);
        }

        [HttpGet("sales")]
        public async Task<IActionResult> GetSales()
        {
            var result = await experienceService.GetSales();
            if (result == null)
            {
                return NotFound();
            }
            return Ok(result);
        }

    }
}
