using Microsoft.AspNetCore.Mvc;

namespace MyApp.Namespace
{
    [Route("[controller]")]
    [ApiController]
    public class GuestController : ControllerBase
    {
        private readonly IGuestService guestService;

        public GuestController(IGuestService guestService)
        {
            this.guestService = guestService;
        }
        
        [HttpGet(Name = "GuestsGet")]
        public async Task<IActionResult> Get()
        {
            var result = await guestService.GetGuests();
            if (result == null)
            {
                return NotFound();
            }
            return Ok(result);
            
        }

        [HttpGet("{name}", Name = "GuestGet")]
        public async Task<IActionResult> Get(string name)
        {
            var result = await guestService.GetGuest(name);
            if (result == null)
            {
                return NotFound();
            }
            return Ok(result);
        }


    }

}