using assignment1.DTO;
using assignment2.Models;

public static class ExtensionMethods
{
    public static ProviderView ToProviderView(this Provider provider)
    {
        return new ProviderView
        {
            Address = provider.Address,
            CVR = provider.CVR,
            Phone = provider.Phone,
        };
    }

    public static ExperienceView ToExperienceView(this Experience experience)
    {
        return new ExperienceView
        {
            Name = experience.Name,
            Price = experience.Price,
        };
    }

    public static IEnumerable<ExperienceView> ToExperienceView(this List<Experience> experiences)
    {
        List<ExperienceView> experienceViews = new List<ExperienceView>();
        foreach (var experience in experiences)
        {
            experienceViews.Add(experience.ToExperienceView());
        }
        return experienceViews;
    }

    public static SharedExperienceView ToSharedExperienceView(this SharedExperience entity) 
    {
        return new SharedExperienceView
        {
            //SharedExperienceId = entity.SharedExperienceId,
            Date = entity.Date,
            Description = entity.Description
        };
    }
}