namespace assignment2.Services;  
using Microsoft.EntityFrameworkCore;

public class ProviderService : IProviderService
{
    private readonly ExperienceDBContext context;

    public ProviderService(ExperienceDBContext context)
    {
        this.context = context;
    }

    async Task<IEnumerable<ProviderView>> IProviderService.GetProviders()
    {
        return await context.Providers
            .Select(p => new ProviderView
            {
                Address = p.Address,
                Phone = p.Phone,
                CVR = p.CVR
            })
            .ToListAsync();
    }

}
